net.i2p.sam

## Interface SAMDatagramReceiver

All Known Implementing Classes:
  SAMv1Handler, SAMv2Handler, SAMv3DatagramSession, SAMv3Handler

    public interface SAMDatagramReceiver

Interface for sending raw data to a SAM client

### Method Summary

Methods
`void` `receiveDatagramBytes(Destination sender, byte[] data)` Send a byte array to a SAM client.
`void` `stopDatagramReceiving()` Stop receiving data.

### Method Detail

#### receiveDatagramBytes

    void receiveDatagramBytes(Destination sender,
                            byte[] data)
                              throws IOException

Send a byte array to a SAM client.

Parameters:
  `sender` - Destination
  `data` - Byte array to be received
Throws:
  `IOException`

#### stopDatagramReceiving

    void stopDatagramReceiving()

Stop receiving data.